Bug 1282747 - While file is self healing append to the file hangs
While file is self healing append to the file hangs
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.1.3
Assigned To: Ravishankar N
nchilaka
: ZStream
Depends On:
Blocks: 1283032 1283478 1299184
  Show dependency treegraph
 
Reported: 2015-11-17 05:19 EST by RajeshReddy
Modified: 2016-09-17 08:11 EDT (History)
9 users (show)

See Also:
Fixed In Version: glusterfs-3.7.9-2
Doc Type: Bug Fix
Doc Text:
Previously, for Red Hat Gluster Storage 2.1 clients, AFR took a compatibility lock that meant that append writes for a file undergoing self-heal blocked until the heal was complete. Since Red Hat Gluster Storage 2.1 is now considered End-of-Life, this lock has been removed and append writes no longer wait on in-progress self-heal operations.
Story Points: ---
Clone Of:
: 1283032 (view as bug list)
Environment:
Last Closed: 2016-06-23 00:56:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2015-11-17 05:19:26 EST
Description of problem:
============
While file is self healing append to the file hangs 


Version-Release number of selected component (if applicable):
=========
glusterfs-server-3.7.5-6


How reproducible:


Steps to Reproduce:
=============
1. Create 1x2 volume and mount it on client using fuse 
2. Bring down one of the brick and create a big file 2 GB
3. Bring back the down brick and while self heal is going on try to append it to the file but it hangs untill self heal completes 

Actual results:


Expected results:
===========
Append to the file should complete without hangs 


Additional info:
Comment 7 Mike McCune 2016-03-28 19:24:30 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 9 nchilaka 2016-05-02 06:24:51 EDT
QATP:
====
TC#1:data heal
1)create a replica volume may be 1x2
2)Mount volume and create a file of say 1GB
3)now bring down one brick and write more data to the file say 10GB,
4)Now bring back the brick online and once the self heal triggers, keep appending data to the file
Expected result: Append must not hang

TC#2:with entry heal
1)create a replica volume may be 1x2
2)bring down one brick and create a file of say 5GB
3)Now bring back the brick online and once the self heal triggers, keep appending data to the file
Expected result: Append must not hang and entry heal must pass without any issues
Comment 10 nchilaka 2016-05-02 06:37:03 EDT
QA Result:
============
ran above cases on fuse mount and nfs mount and both passed. hence moving bug to passed and verified
[root@dhcp35-191 glusterfs]# rpm -qa|grep gluster
glusterfs-client-xlators-3.7.9-2.el7rhgs.x86_64
glusterfs-server-3.7.9-2.el7rhgs.x86_64
python-gluster-3.7.5-19.el7rhgs.noarch
gluster-nagios-addons-0.2.5-1.el7rhgs.x86_64
vdsm-gluster-4.16.30-1.3.el7rhgs.noarch
glusterfs-3.7.9-2.el7rhgs.x86_64
glusterfs-api-3.7.9-2.el7rhgs.x86_64
glusterfs-cli-3.7.9-2.el7rhgs.x86_64
glusterfs-geo-replication-3.7.9-2.el7rhgs.x86_64
gluster-nagios-common-0.2.3-1.el7rhgs.noarch
glusterfs-libs-3.7.9-2.el7rhgs.x86_64
glusterfs-fuse-3.7.9-2.el7rhgs.x86_64
glusterfs-rdma-3.7.9-2.el7rhgs.x86_64
Comment 14 errata-xmlrpc 2016-06-23 00:56:58 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1240

Note You need to log in before you can comment on or make changes to this bug.